=== testing/CMakeLists.txt ===
add_subdirectory(testfrontend)
add_subdirectory(testim)
add_subdirectory(testui)
