=== src/im/CMakeLists.txt ===
if (ENABLE_KEYBOARD)
    add_subdirectory(keyboard)
endif()
