=== src/lib/fcitx-wayland/CMakeLists.txt ===
add_subdirectory(core)
add_subdirectory(input-method)
add_subdirectory(input-method-v2)
add_subdirectory(wlr-data-control)
add_subdirectory(blur)
add_subdirectory(plasma-window-management)
add_subdirectory(wlr-foreign-toplevel-management-unstable-v1)
add_subdirectory(fractional-scale-v1)
add_subdirectory(viewporter)
# Unused for now, introduced as a dependency to cursor-shape
add_subdirectory(tablet-v2)
add_subdirectory(cursor-shape)
#add_subdirectory(input-method-v3)
