=== debian/changelog ===
fcitx5 (5.1.14-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Aug 2025 18:25:35 -0400
