## fcitx5 5.1.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.13)
-project(fcitx VERSION 5.1.14)
+project(fcitx VERSION 5.1.15)
 set(FCITX_VERSION ${PROJECT_VERSION})
 
 find_package(ECM REQUIRED 1.0.0)
@@ -169,7 +169,7 @@
     set(REQUIRED_WAYLAND_COMPONENTS Client Cursor)
     find_package(Wayland 1.22 REQUIRED COMPONENTS ${REQUIRED_WAYLAND_COMPONENTS})
     find_package(WaylandScanner REQUIRED)
-    find_package(WaylandProtocols REQUIRED)
+    find_package(WaylandProtocols 1.39 REQUIRED)
     pkg_check_modules(Gio IMPORTED_TARGET gio-2.0)
 endif()
