=== debian/changelog ===
fcitx5 (5.1.15-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Oct 2025 17:24:12 -0400

fcitx5 (5.1.14-4) unstable; urgency=medium

  * debian/copyright: Updated.
  * Manually trigger rebuild yet another time with gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Wed, 01 Oct 2025 20:23:28 -0400

fcitx5 (5.1.14-3) unstable; urgency=medium

  * debian/control: Bump cmake version requirement to (>= 3.13).
  * Manually retrigger rebuild again. The buildd was not updated
    to gcc-15 toolchain in the previous build.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Sep 2025 09:54:25 -0400

fcitx5 (5.1.14-2) unstable; urgency=medium

  * Manually rebuild against GCC 15. This may help resolve some weird crashes
    around <format> in fcitx5-m17n.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Sep 2025 16:28:36 -0400
