=== src/lib/CMakeLists.txt ===
add_subdirectory(fcitx-utils)
add_subdirectory(fcitx-config)
add_subdirectory(fcitx)

if (WAYLAND_FOUND)

    add_subdirectory(fcitx-wayland)
endif()
