=== debian/changelog ===
fcitx5 (5.1.16-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Oct 2025 15:08:51 -0400
