=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  appstream,
- cmake (>= 3.6.0),
+ cmake (>= 3.13),
  dbus-daemon <!nocheck>,
  debhelper-compat (= 13),
  dh-exec,
