=== debian/changelog ===
fcitx5 (5.1.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Replace libjson-c-dev with nlohmann-json3-dev.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Dec 2025 15:35:53 -0500
