=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
  libexpat1-dev,
  libfmt-dev,
  libgdk-pixbuf-2.0-dev,
- libjson-c-dev,
  libkvm-dev [kfreebsd-any],
+ nlohmann-json3-dev,
  libpango1.0-dev,
  libsystemd-dev [linux-any],
  libuv1-dev [!linux-any],
